Bug 739620 - ValueError: No description available for dasd
ValueError: No description available for dasd
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
16
s390x Linux
high Severity high
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker F16Betas390x 788667
  Show dependency treegraph
 
Reported: 2011-09-19 12:07 EDT by Jan Stodola
Modified: 2012-07-02 04:42 EDT (History)
2 users (show)

See Also:
Fixed In Version: anaconda-17.6-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 788667 (view as bug list)
Environment:
Last Closed: 2012-07-02 04:42:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add missing descriptions (995 bytes, patch)
2011-09-22 05:32 EDT, Dan Horák
no flags Details | Diff

  None (edit)
Description Jan Stodola 2011-09-19 12:07:40 EDT
Description of problem:

anaconda 16.17 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 515, in device_description
    raise ValueError("No description available for %s" % device.type)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 553, in is_valid_stage1_device
    description = self.device_description(device)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 635, in stage1_devices
    if self.is_valid_stage1_device(device):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 228, in stage1_device
    % [d.name for d in self.stage1_devices])
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 1170, in sanityCheck
    stage1 = self.anaconda.bootloader.stage1_device
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/partitioning.py", line 317, in doAutoPartition
    (errors, warnings) = anaconda.storage.sanityCheck()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 373, in dispatch
    self.dir = self.steps[self.step].target(self.anaconda)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 241, in go_forward
    self.dispatch()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1203, in nextClicked
    self.anaconda.dispatch.go_forward()
ValueError: No description available for dasd


Version-Release number of selected component (if applicable):
anaconda-16.17

How reproducible:
always

Steps to Reproduce:
1. start the installation in x3270 console
2. connect via ssh to continue with the installation
3. start vnc server
4. in the filtering UI, select all DASD drives
5. continue with default values
6. use "Replace Existing Linux System(s)", click Next
7. select all drives to be used for the installation
8. click on Next

or:

6. create custom partitioning:
dasdb1    ext4     /boot
dasdc1    swap
dasdd1    ext4     /
7. click on Next
  
Actual results:
traceback

Expected results:
partitioning is created and written to disks

Additional info:
Comment 2 Jan Stodola 2011-09-20 05:15:45 EDT
There is almost identical traceback when using only zFCP LUN for the installation:

05:14:59,446 CRIT anaconda: anaconda 16.17 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 515, in device_description
    raise ValueError("No description available for %s" % device.type)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 553, in is_valid_stage1_device
    description = self.device_description(device)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 635, in stage1_devices
    if self.is_valid_stage1_device(device):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 228, in stage1_device
    % [d.name for d in self.stage1_devices])
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 1170, in sanityCheck
    stage1 = self.anaconda.bootloader.stage1_device
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/partitioning.py", line 317, in doAutoPartition
    (errors, warnings) = anaconda.storage.sanityCheck()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 373, in dispatch
    self.dir = self.steps[self.step].target(self.anaconda)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 241, in go_forward
    self.dispatch()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1203, in nextClicked
    self.anaconda.dispatch.go_forward()
ValueError: No description available for zfcp
Comment 3 Dan Horák 2011-09-22 05:32:43 EDT
Created attachment 524367 [details]
add missing descriptions

This patch fixes the crashes, but I'm not sure it's a complete fix as I don't know the anaconda internals.
Comment 4 Jan Stodola 2012-07-02 04:42:17 EDT
Retested with anaconda-17.29, installations on both DASD and FCP drives finished successfully.

Closing this bug.

Note You need to log in before you can comment on or make changes to this bug.